Package org.jboss.resteasy.plugins.providers

## Class MultiValuedCollectionParamConverter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.MultiValuedAbstractParamConverter
  - - org.jboss.resteasy.plugins.providers.MultiValuedCollectionParamConverter

- All Implemented Interfaces:
    `javax.ws.rs.ext.ParamConverter<Collection<?>>`

      public class MultiValuedCollectionParamConverter
      extends MultiValuedAbstractParamConverter
      implements javax.ws.rs.ext.ParamConverter<Collection<?>>

  Author:
    Marek Kopecky mkopecky@redhat.com, Ron Sigal rsigal@redhat.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.ws.rs.ext.ParamConverter

      `javax.ws.rs.ext.ParamConverter.Lazy`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.MultiValuedAbstractParamConverter

      `headerDelegate, paramConverter, separator, stringParameterInjector`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiValuedCollectionParamConverter​(StringParameterInjector stringParameterInjector, String separator, Constructor<?> constructor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<?>` | `fromString​(String param)` |
    `String` | `toString​(Collection<?> value)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.MultiValuedAbstractParamConverter

      `getSeparatorChar, stringify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiValuedCollectionParamConverter

          public MultiValuedCollectionParamConverter​(StringParameterInjector stringParameterInjector,
                                                     String separator,
                                                     Constructor<?> constructor)

  - ### Method Detail

    - #### toString

          public String toString​(Collection<?> value)

      Specified by:
        `toString` in interface `javax.ws.rs.ext.ParamConverter<Collection<?>>`

    - #### fromString

          public Collection<?> fromString​(String param)

      Specified by:
        `fromString` in interface `javax.ws.rs.ext.ParamConverter<Collection<?>>`